Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.dom
Class XDBComment

`java.lang.Object
oracle.xdb.dom.XDBNode
oracle.xdb.dom.XDBCharData
oracle.xdb.dom.XDBComment`

All Implemented Interfaces:
  CharacterData, Comment, Node

Deprecated. as of Oracle Database 11g release 1, use oracle.xml.parser.v2.XMLComment

      public class XDBComment

extends XDBCharData
implements Comment

This class implements the W3C CharacterData interface

Field Summary

Fields inherited from class oracle.xdb.dom.XDBNode
`m_conn, m_owner, m_xobcstate`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary

Methods inherited from class oracle.xdb.dom.XDBCharData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from class oracle.xdb.dom.XDBNode

`appendChild, cloneNode, close, compareDocumentPosition, equals, finalize, getAttributes, getBaseURI, getChildNodes, getExpandedName, getFeature, getFirstChild, getInputStream, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeFromCState, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getPrimitiveType, getQualifiedName, getSchemaNode, getTextContent, getUserData, hasAttributes, hasChildNodes, hashCode, insertBefore, isClosed, isDefaultNamespace, isEqualNode, isNilled, isSameNode, isSchemaBased, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setNodeXob, setOwner, setPrefix, setTextContent, setUserData, setXobCstate, toCState, toString, validateName, write, writeToOutputStream`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.